#
# spec file for package python-PasteDeploy
#
# Copyright (c) 2015 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           python-PasteDeploy
Version:        1.5.2
Release:        4.5
Url:            http://pythonpaste.org/deploy/
Summary:        Load, configure, and compose WSGI applications and servers
License:        MIT
Group:          Development/Languages/Python
Source:         http://pypi.python.org/packages/source/P/PasteDeploy/PasteDeploy-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  python-devel
BuildRequires:  python-setuptools
Requires:       python-Paste
Requires:       python-setuptools
%if 0%{?suse_version}
%py_requires
%if 0%{?suse_version} > 1110
BuildArch:      noarch
%endif
%endif
Provides:       python-pastedeploy = %{version}
Obsoletes:      python-pastedeploy < %{version}
%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}

%description
This tool provides code to load WSGI applications and servers from URIs; these
URIs can refer to Python Eggs for INI-style configuration files. Paste Script
provides commands to serve applications based on this configuration file.

%prep
%setup -q -n PasteDeploy-%{version}

%build
python setup.py build

%install
python setup.py install --prefix=%{_prefix} --root=%{buildroot}

%files
%defattr(-,root,root,-)
%doc docs/*
%{python_sitelib}/*

%changelog
* Fri Feb  6 2015 hpj@urpla.net
- update to version 1.5.2
  * Fixed Python 3 issue in paste.deploy.util.fix_type_error()
* Thu Oct 24 2013 speilicke@suse.com
- Require python-setuptools instead of distribute (upstreams merged)
* Thu Jun 13 2013 dmueller@suse.com
- add python-distribute dependency
* Sun May 27 2012 highwaystar.ru@gmail.com
- python3 package added
* Thu Sep  1 2011 saschpe@suse.de
- Added Provides/Obsoletes for python-pastedeploy
* Thu Sep  1 2011 saschpe@suse.de
- Initial version
